package com.tmerclub.cloud.api.seckill.dto;

import com.tmerclub.cloud.common.order.bo.RefundReductionStockBO;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;
/**
 * @author lanhai
 */
public class SecKillRefundDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 秒杀活动Id
     */
    private Long activityId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 退款商品信息
     */
    private List<RefundReductionStockBO> refundReductionStocks;

    public SecKillRefundDTO() {
    }

    public SecKillRefundDTO(Long activityId, List<RefundReductionStockBO> refundReductionStocks,Long userId) {
        this.activityId = activityId;
        this.userId = userId;
        this.refundReductionStocks = refundReductionStocks;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public List<RefundReductionStockBO> getRefundReductionStocks() {
        return refundReductionStocks;
    }

    public void setRefundReductionStocks(List<RefundReductionStockBO> refundReductionStocks) {
        this.refundReductionStocks = refundReductionStocks;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "SecKillRefundDTO{" +
                "activityId=" + activityId +
                ", userId=" + userId +
                ", refundReductionStocks=" + refundReductionStocks +
                '}';
    }
}
